{"title":"Get itemLedgerEntries","url":"https://jonas-paprotka.de/docs/dev-itpro/api-reference/v2.0/api/dynamics_itemledgerentry_get/","by":"JOP-AL","license":"Copyright (c) Microsoft Corporation. CC BY 4.0, https://creativecommons.org/licenses/by/4.0/; code samples MIT. From https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_itemledgerentry_get, MicrosoftDocs/dynamics365smb-devitpro-pb at 828b6ee (2026-11-19). Changed: includes filled in, links to this site, and for agents shortened without dropping a fact.","credit":"Microsoft Corporation, CC BY 4.0","origin":"https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_itemledgerentry_get","source":{"name":"Business Central developer and IT pro docs","repo":"https://github.com/MicrosoftDocs/dynamics365smb-devitpro-pb","commit":"828b6ee72fcd75755627cd6011f3d20899217ab2","date":"2026-11-19"},"checked":"2026-11-19","description":"Gets an item ledger entry object in Dynamics 365 Business Central.","date":"2026-08-21","meta":{"topic":"reference"},"outline":[{"level":1,"title":"Get itemLedgerEntries","slug":"get-itemledgerentries","at":0,"chars":1442},{"level":2,"title":"HTTP request","slug":"http-request","at":120,"chars":216},{"level":2,"title":"Request headers","slug":"request-headers","at":336,"chars":72},{"level":2,"title":"Request body","slug":"request-body","at":408,"chars":61},{"level":2,"title":"Response","slug":"response","at":469,"chars":128},{"level":2,"title":"Example","slug":"example","at":597,"chars":709},{"level":2,"title":"Related information","slug":"related-information","at":1306,"chars":136}],"text":"# Get itemLedgerEntries\nRetrieves the properties and relationships of an item ledger entry object for Business Central.\n## HTTP request\nReplace the URL prefix for Business Central depending on environment following the guideline<../endpoints-apis-for-dynamics>.\n```\nGET businesscentralPrefix/companies({id})/itemLedgerEntries({id})\n```\n## Request headers\nHeader|Value\nAuthorization|Bearer {token}. Required.\n## Request body\nDon't supply a request body for this method.\n## Response\nIf successful, this method returns a ```200 OK``` response code and an itemLedgerEntry object in the response body.\n## Example\nRequest\nHere's an example of the request.\n```json\nGET https://{businesscentralPrefix}/api/v2.0/companies({id})/itemLedgerEntries({id})\n```\nResponse\nHere's an example of the response.\n```json\n{\n\"@odata.etag\": \"W/\\\"JzQ0O2ZyaTlPVmR6WUxDOEJyMExqOER1WXgxR0IvanErd0t4WXM0ckpzY20xSkU9MTswMDsn\\\"\",\n\"id\": \"44a76d24-52ff-eb11-bb76-000d3a220646\",\n\"entryNumber\": 1,\n\"itemNumber\": \"1100\",\n\"postingDate\": \"2022-06-01\",\n\"entryType\": \"Positive_x0020_Adjmt_x002E_\",\n\"sourceNumber\": \"\",\n\"sourceType\": \"_x0020_\",\n\"documentNumber\": \"START-MANF\",\n\"documentType\": \"_x0020_\",\n\"description\": \"\",\n\"quantity\": 200,\n\"salesAmountActual\": 0,\n\"costAmountActual\": 25934.2,\n\"lastModifiedDateTime\": \"2021-08-17T11:57:21.73Z\"\n}\n```\n## Related information\nTips for working with the APIs<../../../developer/devenv-connect-apps-tips>\n../resources/dynamics_itemledgerentry"}